package expression;

class InterpreterTest {
    
    public static void main(String args[]) throws Exception {
	Parser parser = new Parser(System.in);
	Tree tree =  parser.parse();
	if (Report.errCount != 0) {
	    System.err.println(Report.errCount + " errors encountered");
	    return;
	}
	Analyzer.analyzeTree(tree);
	if (Report.errCount != 0) {
	    System.err.println(Report.errCount + " errors encountered");
	    return;
	}
	int val = Interpreter.interpret(tree);
	System.out.println("The expression evaluates to " + val + ".");
    }	
}
