package expression;

class AnalyzerTest {
    
    public static void main(String args[]) throws Exception {
	Parser parser = new Parser(System.in);
	Tree tree =  parser.parse();
	if (Report.errCount != 0) {
	    System.out.println(Report.errCount + " errors encountered during name parsing.");
            return;  
	}
	Analyzer.analyzeTree(tree);
	if (Report.errCount == 0) {
	    System.out.println("Name analysis successful.");
	} else {
	    System.out.println(Report.errCount + " errors encountered during name analysis.");
	}
    }	
}
